Bug 1276301 - warning.png is missing in the images folder
warning.png is missing in the images folder
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.5.0
Assigned To: Eric Winchell
Ramesh A
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-29 07:46 EDT by Ramesh A
Modified: 2015-12-08 08:42 EST (History)
7 users (show)

See Also:
Fixed In Version: 5.5.0.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:42:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
warning.png missing (100.90 KB, image/png)
2015-10-29 07:46 EDT, Ramesh A
no flags Details

  None (edit)
Description Ramesh A 2015-10-29 07:46:26 EDT
Created attachment 1087456 [details]
warning.png missing

Description of problem:
warning.png is missing in the images folder

Version-Release number of selected component (if applicable):
5.5.0.8-beta1.4.20151027164951_4ab7fea

How reproducible:
100%%

Steps to Reproduce:
1. Navigate to Configure ==> Tasks ==> My Other UI Tasks
2. Check for the warning images against the task


Actual results:
warning.png is missing.  Refer the screenshot and production.log file for further information

Expected results:
warning.png image should be available

Additional info:
production.log:
===============
 (0.0ms)
[----] I, [2015-10-29T07:35:54.034995 #16101:e0b988]  INFO -- : Completed 200 OK in 7ms (Views: 0.5ms | ActiveRecord: 0.0ms)
[----] I, [2015-10-29T07:36:09.240293 #16101:e0b988]  INFO -- : Started GET "/images/icons/new/warning.png" for 127.0.0.1 at 2015-10-29 07:36:09 -0400
[----] F, [2015-10-29T07:36:09.241672 #16101:e0b988] FATAL -- : 
ActionController::RoutingError (No route matches [GET] "/images/icons/new/warning.png"):
  /opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/middleware/debug_exceptions.rb:21:in `call'
  /opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'
  /opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/rack/logger.rb:38:in `call_app'
  /opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/rack/logger.rb:22:in `call'
  /opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/middleware/request_id.rb:21:in `call'
  rack (1.6.4) lib/rack/methodoverride.rb:22:in `call'
  rack (1.6.4) lib/rack/runtime.rb:18:in `call'
  /opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
  rack (1.6.4) lib/rack/lock.rb:17:in `call'
  /opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/middleware/static.rb:116:in `call'
  /opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/middleware/static.rb:116:in `call'
  rack (1.6.4) lib/rack/sendfile.rb:113:in `call'
  /opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/engine.rb:518:in `call'
  /opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/application.rb:165:in `call'
  rack (1.6.4) lib/rack/content_length.rb:15:in `call'
  thin (1.6.3) lib/thin/connection.rb:86:in `block in pre_process'
  thin (1.6.3) lib/thin/connection.rb:84:in `catch'
  thin (1.6.3) lib/thin/connection.rb:84:in `pre_process'
  thin (1.6.3) lib/thin/connection.rb:53:in `process'
  thin (1.6.3) lib/thin/connection.rb:39:in `receive_data'
  eventmachine (1.0.7) lib/eventmachine.rb:187:in `run_machine'
  eventmachine (1.0.7) lib/eventmachine.rb:187:in `run'
  thin (1.6.3) lib/thin/backends/base.rb:73:in `start'
  thin (1.6.3) lib/thin/server.rb:162:in `start'
  rack (1.6.4) lib/rack/handler/thin.rb:19:in `run'
  rack (1.6.4) lib/rack/server.rb:286:in `start'
  /opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/commands/server.rb:80:in `start'
  /opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/commands/commands_tasks.rb:80:in `block in server'
  /opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/commands/commands_tasks.rb:75:in `tap'
  /opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/commands/commands_tasks.rb:75:in `server'
  /opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/commands/commands_tasks.rb:39:in `run_command!'
  /opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/commands.rb:17:in `<top (required)>'
  bin/rails:4:in `require'
  bin/rails:4:in `<main>'
Comment 3 CFME Bot 2015-10-30 11:30:28 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/10391755c9e32bdd731ea581fc894b42f3e6f6d4

commit 10391755c9e32bdd731ea581fc894b42f3e6f6d4
Author:     Eric Winchell <ewinchel@redhat.com>
AuthorDate: Thu Oct 29 10:54:30 2015 -0400
Commit:     Eric Winchell <ewinchel@redhat.com>
CommitDate: Thu Oct 29 10:54:30 2015 -0400

    add missing warning icon
    https://bugzilla.redhat.com/show_bug.cgi?id=1276301

 public/images/icons/16/warning.png  | Bin 1149 -> 1656 bytes
 public/images/icons/new/warning.png | Bin 0 -> 9042 bytes
 2 files changed, 0 insertions(+), 0 deletions(-)
 create mode 100644 public/images/icons/new/warning.png
Comment 5 CFME Bot 2015-11-04 13:43:49 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=fb4ca9af02479e5309e4df87d8f27b613f88de96

commit fb4ca9af02479e5309e4df87d8f27b613f88de96
Author:     Eric Winchell <ewinchel@redhat.com>
AuthorDate: Thu Oct 29 10:54:30 2015 -0400
Commit:     Eric Winchell <ewinchel@redhat.com>
CommitDate: Mon Nov 2 10:46:41 2015 -0500

    add missing warning icon
    https://bugzilla.redhat.com/show_bug.cgi?id=1276301

 public/images/icons/16/warning.png  | Bin 1149 -> 1656 bytes
 public/images/icons/new/warning.png | Bin 0 -> 9042 bytes
 2 files changed, 0 insertions(+), 0 deletions(-)
 create mode 100644 public/images/icons/new/warning.png
Comment 6 CFME Bot 2015-11-04 13:44:54 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=6d80bbe8b66112d1e9c05110394ccda6fc019403

commit 6d80bbe8b66112d1e9c05110394ccda6fc019403
Merge: 086d4e9 fb4ca9a
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Wed Nov 4 11:19:57 2015 -0500
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Wed Nov 4 11:19:57 2015 -0500

    Merge branch 'warning' into '5.5.z'
    
    add missing warning icon
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1276301
    
    See merge request !325

 public/images/icons/16/warning.png  | Bin 1149 -> 1656 bytes
 public/images/icons/new/warning.png | Bin 0 -> 9042 bytes
 2 files changed, 0 insertions(+), 0 deletions(-)
Comment 7 Ramesh A 2015-11-18 12:06:25 EST
Good to go. Verified and working fine in 5.5.0.10-beta2.1.20151110134042_d6f5459
Comment 9 errata-xmlrpc 2015-12-08 08:42:00 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.